UntypedResultSet (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3

## Class UntypedResultSet

- java.lang.Object
- - org.apache.cassandra.cql3.UntypedResultSet

- All Implemented Interfaces:
    java.lang.Iterable<UntypedResultSet.Row>

      public abstract class UntypedResultSet
      extends java.lang.Object
      implements java.lang.Iterable<UntypedResultSet.Row>

  a utility for doing internal cql-based queries

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UntypedResultSet.Row`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UntypedResultSet()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UntypedResultSet` | `create(java.util.List<java.util.Map<java.lang.String,java.nio.ByteBuffer>> results)`
    `static UntypedResultSet` | `create(ResultSet rs)`
    `static UntypedResultSet` | `create(SelectStatement select, QueryPager pager, int pageSize)`
    `boolean` | `isEmpty()`
    `abstract java.util.List<ColumnSpecification>` | `metadata()`
    `abstract UntypedResultSet.Row` | `one()`
    `abstract int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Constructor Detail

    - #### UntypedResultSet

          public UntypedResultSet()

  - ### Method Detail

    - #### create

          public static UntypedResultSet create(ResultSet rs)

    - #### create

          public static UntypedResultSet create(java.util.List<java.util.Map<java.lang.String,java.nio.ByteBuffer>> results)

    - #### create

          public static UntypedResultSet create(SelectStatement select,
                                                QueryPager pager,
                                                int pageSize)

    - #### isEmpty

          public boolean isEmpty()

    - #### size

          public abstract int size()

    - #### one

          public abstract UntypedResultSet.Row one()

    - #### metadata

          public abstract java.util.List<ColumnSpecification> metadata()

Copyright © 2018 The Apache Software Foundation